kgb-bot 1.15-2ubuntu1 source package in Ubuntu

Changelog

kgb-bot (1.15-2ubuntu1) precise; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/control: build dependency on language-pack-bg-base and deleted
      build dependency on missing locales-all. This fixes a FTBFS
    - debian/rules: deleted test on versions as it always fails with ubuntu
      versioning

kgb-bot (1.15-2) unstable; urgency=low

  * client: denote libfile-touch-perl dependency to a recommendation
  * bot: require client 1.15 for the detect_common_dir move

kgb-bot (1.15-1) unstable; urgency=low

  * New release

  * Client:
   + use single line note for annotated tags
  * Server:
   + fix single line commits with multi-line explaination
   + no bold revision by default
   + drop (bold) repository name from the notification

kgb-bot (1.14-1) unstable; urgency=low

  * Client: add an option to keep the last used server in a directory
  * Client/Server: add support for single line commit notifications
  * add (build-)dependency on libfile-touch-perl

kgb-bot (1.13-1) unstable; urgency=low

  * numerous test improvements
  * fix: no warnings when commits have no author
  * bot: log repository on authentication failure
  * put tag name in changes for plain tags too
  * bot: always decode parameters

kgb-bot (1.10-1) unstable; urgency=low

  * Skip tests requiring SVN::* or Git when these are missing
  * fix dist_name from App::KGB to App-KGB
  * disable indexing of privinc
  * fix a couple of cases of conditional declaration
  * add a Perl::Critic test for conditional declarations
  * bot: do not answer back if no answers are configured.
  * rate-limit autoresponses
  * bump years in debian/copyright

kgb-bot (1.08-1) unstable; urgency=low

  [ Damyan Ivanov ]
  * Client::Git: use --format=raw when describing annotated tags

  [ Salvatore Bonaccorso ]
  * debian/control: Remove libdigest-sha1-perl from Depends for kgb-client
    binary package.
  * Bump Standards-Version to 3.9.2.

  [ gregor herrmann ]
  * Switch to source format 3.0 (quilt).
  * Bump debhelper compatibility level to 8; remove "--buildsystem=perl_build"
    in debian/rules.
  * debian/control: remove versioned dependency on perl >= 5.10.
 -- Angel Abad <email address hidden>   Sat, 15 Oct 2011 13:52:35 +0200

Upload details

Uploaded by:
Angel Abad on 2011-10-15
Uploaded to:
Precise
Original maintainer:
Ubuntu Developers
Architectures:
all
Section:
devel
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section
Precise release on 2011-10-15 universe devel

Builds

Precise: [FULLYBUILT] i386

Downloads

File Size SHA-256 Checksum
kgb-bot_1.15.orig.tar.gz 47.6 KiB 6fc2121f23377c2c15fe1f9985cd1141ba004f7fbf58a3977699536f7cd6bdbb
kgb-bot_1.15-2ubuntu1.debian.tar.gz 8.5 KiB ff1a08fb5d91ee7568b24745ced01e8e6e390b78983f8de489124f0a05f30be0
kgb-bot_1.15-2ubuntu1.dsc 1.8 KiB a19e06b22996fae05c46486d3ef6431ad1d339c1f29e1e8bc7e0139da40f2fba

Available diffs

View changes file

Binary packages built by this source

kgb-bot: No summary available for kgb-bot in ubuntu quantal.

No description available for kgb-bot in ubuntu quantal.

kgb-client: No summary available for kgb-client in ubuntu quantal.

No description available for kgb-client in ubuntu quantal.

kgb-client-git: No summary available for kgb-client-git in ubuntu quantal.

No description available for kgb-client-git in ubuntu quantal.